# ApplicationFramework
PTKernel
PCollection

# PCollection_IsContained Class Reference

`#include <PCollection_IsContained.hxx>`

## Public Member Functions

Standard_EXPORT | PCollection_IsContained ()
Standard_EXPORT | PCollection_IsContained (const Standard_CString AString)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | Raise (const Standard_CString aMessage="")
static Standard_EXPORT void | Raise (Standard_SStream &aReason)
static Standard_EXPORT | Handle (PCollection_IsContained) NewInstance(const Standard_CString aMessage)

## Private Member Functions

virtual Standard_EXPORT void | Throw () const

## Friends

Standard_EXPORT friend Handle_Standard_Type & | PCollection_IsContained_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PCollection_IsContained::PCollection_IsContained | ( |  | ) | `[inline]`

Standard_EXPORT PCollection_IsContained::PCollection_IsContained | ( | const Standard_CString | AString | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const PCollection_IsContained::Handle | ( | Standard_Type |  | ) | const

static Standard_EXPORT PCollection_IsContained::Handle | ( | PCollection_IsContained |  | ) | const`[static]`

static Standard_EXPORT void PCollection_IsContained::Raise | ( | Standard_SStream & | aReason | ) | `[static]`

static Standard_EXPORT void PCollection_IsContained::Raise | ( | const Standard_CString | aMessage = `""` | ) | `[static]`

virtual Standard_EXPORT void PCollection_IsContained::Throw | ( |  | ) | const`[private, virtual]`

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PCollection_IsContained_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PCollection_IsContained.hxx